#!/bin/bash 
###
##
## "wget" for RapidShare
## by MadMakz
##
## http://madmakz.com/
##
## This program is free software: you can redistribute it and/or modify
## it under the terms of the GNU General Public License version 3 as published by
## the Free Software Foundation.
## 
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
## 
## You should have received a copy of the GNU General Public License
## along with this program. If not, see <http://www.gnu.org/licenses/>.
##
###
## Usage: ./<script> <user> <password> <file with downloadlist>
## 
## Note: Requires RS User account and setting "Direct Downloads" set to yes.
###
 
rapidshare_cookie=`wget -q -O - --post-data="sub=getaccountdetails&withcookie=1&login=$1&password=$2" https://api.rapidshare.com/cgi-bin/rsapi.cgi | grep cookie | cut -d= -f2` 
 
for i in $( cat $3); do 
wget --header="Cookie: enc=$rapidshare_cookie" $i 
done

rapidshare_cookie=""