<?php
/*
 * TwitchStatus
 * Copyright (C) 2013-2014 Maximilian "MadMakz" Lotz
 *
 * http://madmakz.com/
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 3 as published by
 * the Free Software Foundation.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 *
 */
 
error_reporting(0);

if(isset($_GET["channel"])){
	$name = $_GET["channel"];
}
else{
	$name = "twitch";
}


$stream = "https://api.twitch.tv/kraken/streams/".$name;
$stream = json_decode(_file_get_contents_curl($stream), true);
$account = "https://api.twitch.tv/kraken/channels/".$name;
$account = json_decode(_file_get_contents_curl($account), true);

if(!$account["display_name"]){
	exit("Unknown channel.");
}

if($stream["stream"] != null){
	$txt = "<b>".$stream["stream"]["channel"]["status"]."</b><br>";
	$txt .= "<small><b>".$account["display_name"]."</b><br><br>";
	$txt .= "<b>Live!</b><br><br>";
	if(!empty($stream["stream"]["game"])){
		$txt .= "<b>Playing:</b> ".$stream["stream"]["game"]."<br><br>";
		$boxart = "http://static-cdn.jtvnw.net/ttv-boxart/".$stream["stream"]["game"]."-272x380.jpg";
	}else{
		$boxart = "http://i.imgur.com/bwqCxgg.jpg";
	}
	$txt .= "<b>Viewers:</b> ".$stream["stream"]["viewers"]."</small><br>";
}
else{
	$txt = "<b>".$account["display_name"]."</b><br><br>";
	$txt .= "<small><b>Offline.</b></small><br>";
	$boxart = "http://i.imgur.com/TqKeUSn.jpg";
}
$txt .= "<br><a href=\"".$account["url"]."\" target=\"_blank\"><b>Go to Channel</b></a>";

$return = "<table height=\"auto\" border=\"0\" width=\"auto\">
			  <tbody>
				<tr>
				  <td align=\"left\"  valign=\"top\" style=\"max-width: 130px; word-wrap: break-word;\">
					  ".$txt."
				  </td>
				  <td align=\"left\">
					<img width=\"136\" height=\"190\" src=\"".$boxart."\" alt=\"\">
				  </td>
				</tr>
			  </tbody>
			</table>";
	
echo $return;
exit;


/* FUNCTIONS */
function _file_get_contents_curl($url, $agent = "My Agent", $cookie = false, $post = false){
	$ch = curl_init();
	
	curl_setopt($ch, CURLOPT_CONNECTTIMEOUT, 3);
	curl_setopt($ch, CURLOPT_TIMEOUT, 2);
	curl_setopt($ch, CURLOPT_HEADER, 0);
	curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
	curl_setopt($ch, CURLOPT_USERAGENT, $agent);
	if($cookie){
		curl_setopt($ch, CURLOPT_COOKIESESSION, true);
		curl_setopt($ch, CURLOPT_COOKIE, $cookie);
	}
	curl_setopt($ch, CURLOPT_URL, $url);
	if($post){
	   curl_setopt($ch, CURLOPT_POST, true);
	   curl_setopt($ch, CURLOPT_POSTFIELDS, $post);
	}
	 
	$data = curl_exec($ch);
	curl_close($ch);
	 
	return $data;
}
?>